org.apache.poi.hpsf

## Class MarkUnsupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.poi.hpsf.HPSFException
      - - org.apache.poi.hpsf.MarkUnsupportedException

- All Implemented Interfaces:
    java.io.Serializable

      public class MarkUnsupportedException
      extends HPSFException

  This exception is thrown if an `InputStream` does not support the `InputStream.mark(int)` operation.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarkUnsupportedException()` Constructor
    `MarkUnsupportedException(java.lang.String msg)` Constructor
    `MarkUnsupportedException(java.lang.String msg, java.lang.Throwable reason)` Constructor
    `MarkUnsupportedException(java.lang.Throwable reason)` Constructor

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.hpsf.HPSFException

      `getReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MarkUnsupportedException

          public MarkUnsupportedException()

      Constructor

    - #### MarkUnsupportedException

          public MarkUnsupportedException(java.lang.String msg)

      Constructor

      Parameters:
        `msg` - The exception's message string

    - #### MarkUnsupportedException

          public MarkUnsupportedException(java.lang.Throwable reason)

      Constructor

      Parameters:
        `reason` - This exception's underlying reason

    - #### MarkUnsupportedException

          public MarkUnsupportedException(java.lang.String msg,
                                          java.lang.Throwable reason)

      Constructor

      Parameters:
        `msg` - The exception's message string
        `reason` - This exception's underlying reason

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.